Bug 1088190 (CVE-2014-2436) - CVE-2014-2436 mysql: unspecified vulnerability related to RBR (CPU April 2014)
Summary: CVE-2014-2436 mysql: unspecified vulnerability related to RBR (CPU April 2014)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-2436
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140415,repor...
Depends On: 1088232 1088234 1089202 1089203 1089209 1089366 1092145 1093372 1101062 1101063
Blocks: 1088219
TreeView+ depends on / blocked
 
Reported: 2014-04-16 08:28 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:32:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0522 normal SHIPPED_LIVE Moderate: mariadb55-mariadb security update 2014-05-20 15:11:10 UTC
Red Hat Product Errata RHSA-2014:0536 normal SHIPPED_LIVE Moderate: mysql55-mysql security update 2014-05-22 21:19:28 UTC
Red Hat Product Errata RHSA-2014:0537 normal SHIPPED_LIVE Moderate: mysql55-mysql security update 2014-05-22 21:09:11 UTC
Red Hat Product Errata RHSA-2014:0702 normal SHIPPED_LIVE Moderate: mariadb security update 2014-06-10 16:44:39 UTC

Description Huzaifa S. Sidhpurwala 2014-04-16 08:28:25 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: RBR). Supported versions that are affected are 5.5.36 and earlier and 5.6.16 and earlier. Difficult to exploit vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized takeover of MySQL Server possibly including arbitrary code execution within the MySQL Server.


External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2014-1972952.html#AppendixMSQL

Comment 1 Huzaifa S. Sidhpurwala 2014-04-16 09:48:25 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1088234]

Comment 2 Huzaifa S. Sidhpurwala 2014-04-16 09:48:28 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1088232]

Comment 6 Fedora Update System 2014-04-29 05:23:17 UTC
mariadb-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-04-29 05:25:13 UTC
community-mysql-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-04-29 05:26:44 UTC
mariadb-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-04-29 05:28:34 UTC
community-mysql-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-05-16 10:09:37 UTC
mariadb-galera-5.5.37-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2014-05-20 11:11:50 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0522 https://rhn.redhat.com/errata/RHSA-2014-0522.html

Comment 12 Angelo Alvarez 2014-05-21 02:22:38 UTC
Is there an update coming for mysql55-mysql-5.5.36-2.el5?

Comment 14 errata-xmlrpc 2014-05-22 17:12:31 UTC
This issue has been addressed in following products:

  Red Hat Software Collections for RHEL-6

Via RHSA-2014:0537 https://rhn.redhat.com/errata/RHSA-2014-0537.html

Comment 15 errata-xmlrpc 2014-05-22 17:20:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0536 https://rhn.redhat.com/errata/RHSA-2014-0536.html

Comment 17 errata-xmlrpc 2014-06-10 12:45:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0702 https://rhn.redhat.com/errata/RHSA-2014-0702.html


Note You need to log in before you can comment on or make changes to this bug.